# This configuration is intended for development purpose, it's **your** responsibility to harden it for production
version: '3.8'
services:
  microscopyupload-app:
    image: maninus/microscopyupload
    x-aws-pull_credentials: "arn:aws:secretsmanager:ap-southeast-1:026171442599:secret:dockerhubAccessToken-rGRZfn"
    environment:
      - _JAVA_OPTIONS=-Xmx512m -Xms256m
      - SPRING_PROFILES_ACTIVE=prod,api-docs
      - MANAGEMENT_METRICS_EXPORT_PROMETHEUS_ENABLED=true
      - SPRING_DATASOURCE_URL=jdbc:postgresql://microscopyupload-postgresql:5432/microscopyupload
      - SPRING_LIQUIBASE_URL=jdbc:postgresql://microscopyupload-postgresql:5432/microscopyupload
      - JHIPSTER_SLEEP=30 # gives time for other services to boot before the application
    # If you want to expose these ports outside your dev PC,
    # remove the "127.0.0.1:" prefix
    ports:
      - 127.0.0.1:8080:8080
      
  microscopyupload-postgresql:
    image: postgres:14.2
    # volumes:
    #   - ~/volumes/jhipster/microscopyupload/postgresql/:/var/lib/postgresql/data/
    environment:
      - POSTGRES_USER=microscopyupload
      - POSTGRES_PASSWORD=
      - POSTGRES_HOST_AUTH_METHOD=trust
    # If you want to expose these ports outside your dev PC,
    # remove the "127.0.0.1:" prefix
    ports:
      - 127.0.0.1:5432:5432
